---
updatedAt: 2025-09-16T11:17:26.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Retrieve a batch object

Use this endpoint to retrieve information on the current status of a batch of jobs.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/apps/{app_id}/batches/{batch_id}": {
      "get": {
        "summary": "Retrieve a batch object",
        "description": "Use this endpoint to retrieve information on the current status of a batch of jobs.",
        "operationId": "retrieve-a-batch-object",
        "parameters": [
          {
            "name": "app_id",
            "in": "path",
            "description": "The universal unique identifier (UUID) of the project from which you want to retrieve the job batch object. You can find this in the super.AI dashboard URL of your project.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "batch_id",
            "in": "path",
            "description": "Unique identifier for the job batch for which you want to retrieve the object",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"app_uuid\": \"123abc45-6789-01de-f2g3-45h67ijk8901\",\n  \"batch_id\": \"a1b23456-7890-1234-c56d-7890123e4f56\",\n  \"batch_total\": 6,\n  \"created\": \"2020-06-08T14:27:36.862Z\",\n  \"invalid_index\": 0,\n  \"total_processed\": 6,\n  \"valid_count\": 6,\n  \"batch_processed\": true,\n  \"error_message\": \"null\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "app_uuid": {
                      "type": "string",
                      "example": "123abc45-6789-01de-f2g3-45h67ijk8901"
                    },
                    "batch_id": {
                      "type": "string",
                      "example": "a1b23456-7890-1234-c56d-7890123e4f56"
                    },
                    "batch_total": {
                      "type": "integer",
                      "example": 6,
                      "default": 0
                    },
                    "created": {
                      "type": "string",
                      "example": "2020-06-08T14:27:36.862Z"
                    },
                    "invalid_index": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "total_processed": {
                      "type": "integer",
                      "example": 6,
                      "default": 0
                    },
                    "valid_count": {
                      "type": "integer",
                      "example": 6,
                      "default": 0
                    },
                    "batch_processed": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "error_message": {
                      "type": "string",
                      "example": "null"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/apps/123abc45-6789-01de-f2g3-45h67ijk8901/a1b23456-7890-1234-c56d-7890123e4f56\" \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            },
            {
              "language": "python",
              "code": "import superai as ai\n\nclient = ai.Client(\"live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\")\n\nresponse = client.fetch_batches_job(\n    app_id=\"123abc45-6789-01de-f2g3-45h67ijk8901\",\n    batch_id=\"a1b23456-7890-1234-c56d-7890123e4f56\",\n)\n\nprint(response)\n"
            },
            {
              "language": "shell",
              "code": "superai client fetch_batch_job \\\n\t--app_id 123abc45-6789-01de-f2g3-45h67ijk8901 \\\n\t--batch_id a1b23456-7890-1234-c56d-7890123e4f5",
              "name": "CLI"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```